Subject: Re: [PATCH 1/1] git-compat-util: add a test balloon for C99 supporty

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Nov 2021 12:17:42 -0800

Johannes Schindelin <[email-masked]> writes:

> Hi Junio,
>
> On Mon, 22 Nov 2021, Junio C Hamano wrote:
>
>> Johannes Schindelin <[email-masked]> writes:
>>
>> >> But if we were to do so, perhaps we'd want something like what I
>> >> gave at https://lore.kernel.org/git/[email-masked]/ in
>> >> its place to avoid confusing people.
>> >
>> > That sounds like a good course of action to me.
>> >
>> > Please note that the MSVC-related adjustment of the `FLEX_ARRAY` block is
>> > still needed, I think.
>>
>> The "something like what I gave ... to avoid confusing people" patch
>> is following up on the direction to drop the patch with -std=gnu99
>> change.  IIRC, your MSVC adjustment was to tweak that patch we were
>> discussing of dropping, so even if it is still needed, it won't be
>> part of what I was doing.
>
> I thought we were only dropping the `--std=gnu99` part, not the change to
> the `git-compat-util.h` header file, nor the patch to the CMake
> configuration for MS Visual C.

Ah, yes, I think these parts need to be kept.  I am just dropping
the latest iteration with -std=gnu99 from consideration to merge
down to 'next' and below.